Skip to main content
POST
/
api
/
v1
/
ops
/
support-cases
/
{supportCaseId}
/
assignments
Assign Support Case
curl --request POST \
  --url https://api.example.com/api/v1/ops/support-cases/{supportCaseId}/assignments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "toUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "toQueue": "<string>",
  "reason": "<string>"
}
'
{
  "supportCaseAssignmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "supportCaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "fromUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "toUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "assignedByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "fromQueue": "<string>",
  "toQueue": "<string>",
  "reason": "<string>",
  "assignedAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

supportCaseId
string<uuid>
required

Support case identifier

Example:

"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"

Query Parameters

fields
string

Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.

Body

application/json

Assign support case payload

toUserId
string<uuid> | null

Novo responsável

toQueue
string | null

Nova fila

reason
string | null

Motivo da transferência

Response

OK

Histórico de atribuição e transferência de chamados de suporte

supportCaseAssignmentId
string<uuid>
required

Identificador único

supportCaseId
string<uuid>
required

Referência ao chamado

fromUserId
string<uuid> | null
required

Responsável anterior

toUserId
string<uuid> | null
required

Novo responsável

assignedByUserId
string<uuid>
required

Usuário que executou a atribuição

fromQueue
string | null
required

Fila anterior

toQueue
string | null
required

Nova fila

reason
string | null
required

Motivo da transferência

assignedAt
string<date-time>
required

Data da atribuição

createdAt
string<date-time>
required

Data de criação do registro